From 8eca5242f35e6285c62d1d51e2132f7e7ae8bf51 Mon Sep 17 00:00:00 2001
From: Zhipeng Zhao <zhaozhipeng@uniontech.com>
Date: Fri, 5 Jun 2020 00:44:00 -0700
Subject: [PATCH] user32: Discard unsupported flags in DEFWND_Print func

Signed-off-by: Zhipeng Zhao <zhaozhipeng@uniontech.com>
---
 dlls/user32/defwnd.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dlls/user32/defwnd.c b/dlls/user32/defwnd.c
index 9cd1298923..a2259e8f63 100644
--- a/dlls/user32/defwnd.c
+++ b/dlls/user32/defwnd.c
@@ -220,6 +220,7 @@ static void DEFWND_Print( HWND hwnd, HDC hdc, ULONG uFlags)
        (uFlags & PRF_OWNED)    ||
        (uFlags & PRF_NONCLIENT) )
   {
+    uFlags &= ~(PRF_CHILDREN | PRF_OWNED | PRF_NONCLIENT);
     WARN("WM_PRINT message with unsupported flags\n");
   }
 
-- 
2.25.1

